# -*- coding: utf-8 -*-

from fastapi_utils.tasks import repeat_every

from app.controllers.equipment.ahu.basic import get_freq_controlled, get_supply_air_temperature_controlled


@repeat_every(seconds=5)
async def regulate_ahu_freq():
    _PROJECT_ID = 'Pj1101050030'
    _AHU_LIST = [
        'Eq1101050030b6b2f1db3d6944afa71e213e0d45d565',
        'Eq1101050030846e0a94670842109f7c8d8db0d44cf5'
    ]

    for ahu in _AHU_LIST:
        await get_freq_controlled(_PROJECT_ID, ahu)


@repeat_every(seconds=5)
async def regulate_ahu_supply_air_temperature():
    _PROJECT_ID = 'Pj1101050030'
    _AHU_LIST = [
        'Eq1101050030b6b2f1db3d6944afa71e213e0d45d565',
        'Eq1101050030846e0a94670842109f7c8d8db0d44cf5'
    ]

    for ahu in _AHU_LIST:
        await get_supply_air_temperature_controlled(_PROJECT_ID, ahu)

